summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-22 09:44:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-22 09:44:14 +0000
commit6dee9399536acc2c36960b5b40ae671d37b235ce (patch)
treecc838af82ea9fc94d4d7ff695b8de99333d5efbb /dev-python
parent79aa2097e32f1c2d25866fbad318198acfc2ad99 (diff)
downloadbaldeagleos-repo-6dee9399536acc2c36960b5b40ae671d37b235ce.tar.gz
baldeagleos-repo-6dee9399536acc2c36960b5b40ae671d37b235ce.tar.xz
baldeagleos-repo-6dee9399536acc2c36960b5b40ae671d37b235ce.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt-builder/Manifest1
-rw-r--r--dev-python/PyQt-builder/PyQt-builder-1.16.3.ebuild30
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.3.3.ebuild65
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/pyproject-api/Manifest1
-rw-r--r--dev-python/pyproject-api/pyproject-api-1.7.1.ebuild41
-rw-r--r--dev-python/python-mpv/Manifest1
-rw-r--r--dev-python/python-mpv/python-mpv-1.0.5.ebuild46
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.2.1.ebuild44
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-25.3.0.ebuild121
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.26.3.ebuild123
-rw-r--r--dev-python/weasyprint/Manifest1
-rw-r--r--dev-python/weasyprint/weasyprint-62.3.ebuild47
20 files changed, 489 insertions, 65 deletions
diff --git a/dev-python/PyQt-builder/Manifest b/dev-python/PyQt-builder/Manifest
index be2f01169daa..98e6cffafbe9 100644
--- a/dev-python/PyQt-builder/Manifest
+++ b/dev-python/PyQt-builder/Manifest
@@ -1 +1,2 @@
DIST pyqt_builder-1.16.2.tar.gz 3671133 BLAKE2B 854a3182488ad8b4fc6ddc5a363580f7555ec01aeecc8c8e6d7f121d7477df1481888450dc25fabfbcd965be5a1b98734d2679013b28b95e8a0cce92f4442a3f SHA512 64fc969799a12a176eb730fdc4581f18293dceb8edff20db0177ce409fe7e712cdfb07449b6c4abdd33f1fd9aabe8bee248fe9aeb5373df533d805f9d2a0c6a5
+DIST pyqt_builder-1.16.3.tar.gz 3671995 BLAKE2B ba3fb0ee1988106d1f4d4e822030b3848a5c3d42f79ac06d1dd4a4084c1e526d0c54c1720614f9005dec120b5395e9358ad75c52c74199d7413100bff82e8414 SHA512 f3820fd5714c88da69bc696abcfde74f0cebaff543de5cf93bd37f4aad22a6bc91627ff22a0f665850ca9c968b4350383784f65cf1b6bf76f3ebfe71a4a5f3b4
diff --git a/dev-python/PyQt-builder/PyQt-builder-1.16.3.ebuild b/dev-python/PyQt-builder/PyQt-builder-1.16.3.ebuild
new file mode 100644
index 000000000000..07d83d20dd9f
--- /dev/null
+++ b/dev-python/PyQt-builder/PyQt-builder-1.16.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="The PEP 517 compliant PyQt build system"
+HOMEPAGE="https://github.com/Python-PyQt/PyQt-builder/"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/sip-6.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # skip installing DLLs
+ rm -r pyqtbuild/bundle/dlls || die
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index f6577b28ce24..fbb7e76315b2 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -4,3 +4,4 @@ DIST cfn_lint-0.87.6.tar.gz 4076995 BLAKE2B 57a5d598d2725851d1a59094bda249b32f74
DIST cfn_lint-0.87.7.tar.gz 4077539 BLAKE2B d7382b8112332821988854f719a2965749b5cb4cda3cbe3d1e7c5851d8b758f4136218ef151bc3983bf94b8e8a3d33989f987bf0162f4dfdaac8333ae798e049 SHA512 8c3f4c840100b407cacfd788722ceb980f8409180f80f76b722cb5efa237444a2d38f8e2e17c5763d9d1adcf9471f57b4d9d58f2a793b0b80f8e0c988820411d
DIST cfn_lint-1.3.0.tar.gz 2425129 BLAKE2B 7ae63c4c3c1959070ab74fc26751d7ea8b739f6ab5b2fe49a7b000d3239f27d9bf71ddeeedd4cc380dbd603a42a77949c91877428f43de0fd9f1cdac68bfb88f SHA512 a4b9af0ae4d4da276f2239d7efc6e96d0ad37a8133b079d53fe4f82d074e74c251d0791a4a07ac35730192e3bf29a3a2ab86a27a7fff5440f52f18200831ea2f
DIST cfn_lint-1.3.2.tar.gz 2485054 BLAKE2B 524d81285a90fb32380cf157150257cc3daa6bf0c584b3fcb628e956fbf6b0f3f1876401bedbeb20f8541e82131d56984b13f63e1a1af3c398bce16460794d9c SHA512 e237ffa10037dd724ee01d5687d37114e74a889e0afee1181671363552c7444ea3cb7433326565b0905bcaa8cb2205aad06dcc3f87fd11c9a6048f8aa7c7f3cf
+DIST cfn_lint-1.3.3.tar.gz 2474929 BLAKE2B d5c8685e48739b178a1ab222b90a31626fffc9dfa91e9fbac6554d33d559a675ef50a2670c00a750aeac057777d29ac6a95526829862794ac289d30d53e268ec SHA512 726e96d4b5fa7e3446382cd8050dc99dce1cb848f7a11f5d1795c5a1a408b1d9e9148f7e3aea7887ebb361b1fd597c434ca0fbbf6a31631d8ac021aaf522427f
diff --git a/dev-python/cfn-lint/cfn-lint-1.3.3.ebuild b/dev-python/cfn-lint/cfn-lint-1.3.3.ebuild
new file mode 100644
index 000000000000..254c72bc6707
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.3.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.89.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ # different graphviz version?
+ test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 630fe63c6f53..c09b7356f549 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 736a1167c898..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,6 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
-
- <origin>gentoo-guru-overlay</origin>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyproject-api/Manifest b/dev-python/pyproject-api/Manifest
index b616b2164cc4..89ec454d550d 100644
--- a/dev-python/pyproject-api/Manifest
+++ b/dev-python/pyproject-api/Manifest
@@ -1 +1,2 @@
DIST pyproject_api-1.6.1.tar.gz 22507 BLAKE2B 8e10240f57e321e4ae78f3269c7b61cdabf29a40a4d6f374dd97451a9dc237a9ae022020c6d1e6ab140dd8c121cb93199d4ec7030c50f7ab6a492670576aeef5 SHA512 a2c1d19dc47a1deb2e3f4d65243e41310434c739a70960ae5a18d8caab11d36fe232b173db253392ff5c3432024b5c494728950d1495d6b9d5c4acf6ad0a2e90
+DIST pyproject_api-1.7.1.tar.gz 22271 BLAKE2B 833001e4638594e61ba8dd97e2e62dffd25650cc30cbcdb9367f09605e128733d7c8945afeadc5ba16d15e932da0cc60eee2715eeef21290c04a73f74165e748 SHA512 e016d612578f46dbb5ab9d406d01513d8e1528524dcb58c4ebe76c5d7518289da187bed0e500d382b37aaac0e38236d54a88e7cc1f3a2a6876088b26d17337a8
diff --git a/dev-python/pyproject-api/pyproject-api-1.7.1.ebuild b/dev-python/pyproject-api/pyproject-api-1.7.1.ebuild
new file mode 100644
index 000000000000..0c02c2326366
--- /dev/null
+++ b/dev-python/pyproject-api/pyproject-api-1.7.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="API to interact with the python pyproject.toml based projects"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-api/
+ https://pypi.org/project/pyproject-api/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-24.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.11.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-68.1.2[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.40.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # hardcodes assumptions specific to setuptools-70.1.0
+ tests/test_frontend_setuptools.py::test_setuptools_get_requires_for_build_wheel
+)
diff --git a/dev-python/python-mpv/Manifest b/dev-python/python-mpv/Manifest
index 22b8437cf70f..5dfffb280828 100644
--- a/dev-python/python-mpv/Manifest
+++ b/dev-python/python-mpv/Manifest
@@ -1,2 +1 @@
-DIST python-mpv-1.0.5.gh.tar.gz 211622 BLAKE2B eeda4e61c8e2728898ddae7c2cd9e92a7cf718b22aefd8104edf361b7d7feab7655561019cbed35045cbdc4faac96e0d85c77d053bfae61e05052a981bd00342 SHA512 cefc0b38146d707a06e2b9e58951675be8d236c95e24de7665085641b24f7d7d5303130ebdb4c97f4f4c79b6de393c30656d9fc0dabf6760156d4aca8207d77c
DIST python-mpv-1.0.6.gh.tar.gz 212503 BLAKE2B f0b63116f90b0d9e0be7d1f7e3586390d1486a89fd2eee8362f0e569b397a9d61dd597b39307559ea4206fdb98c70bbb09e07fbcbc64d60026b21522c1396053 SHA512 f5848f62f978372b04d09e89e9d04b64ff0c437a1f9f63c4ba4751bbe4a8bd0eb20e7503a3f25c7ca64ef0ab5c91db8be68473dbc29a04d78a9246ed784bcc38
diff --git a/dev-python/python-mpv/python-mpv-1.0.5.ebuild b/dev-python/python-mpv/python-mpv-1.0.5.ebuild
deleted file mode 100644
index f4bcfd3738ba..000000000000
--- a/dev-python/python-mpv/python-mpv-1.0.5.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-DISTUTILS_USE_PEP517=setuptools
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Python interface to the mpv media player"
-HOMEPAGE="
- https://github.com/jaseg/python-mpv/
- https://pypi.org/project/python-mpv/
-"
-SRC_URI="
- https://github.com/jaseg/python-mpv/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="AGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-RDEPEND="
- media-video/mpv[libmpv]
- dev-python/pillow[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pyvirtualdisplay[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local EPYTEST_DESELECT=(
- # hanging tests
- tests/test_mpv.py::TestLifecycle::test_wait_for_property_event_overflow
- tests/test_mpv.py::TestStreams::test_custom_stream
- )
-
- virtx epytest
-}
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index 8fabe3b71114..338977f69b23 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,2 +1,3 @@
DIST sphinx_autodoc_typehints-2.1.0.tar.gz 39386 BLAKE2B ccf6b618fc3db2a576a2d9a36a575087cdc3c7c5cf59a6057a956478a12715b1623dc4bc1ae3f7c30deab317a15fa187faf19f9d050fa61c293dc20bee41effd SHA512 59c5b4c682fadc1d0ec62a5aa639bb87d6e4710db89793824c348c7598d73b144f0b083ce6462ea32d958b1ed7fd2fb96c2a92780267adef03b625e64c08c412
DIST sphinx_autodoc_typehints-2.2.0.tar.gz 39603 BLAKE2B 42286d62684a3fdb9949f9e4af56aece11b93b8b5e78be06df03389ceec7fdb99f4baa1ddd46facaa8cb85900655ddae08056fef44a73dc21f29fd87540dacfc SHA512 24c2cc40c56656cc85006e96341d57d46228a67524f4cbc13724fdbd1c0a5a2c41b08e170e217ac5198330fb70539514735b60c34eb84ea15717c38bb95b0adf
+DIST sphinx_autodoc_typehints-2.2.1.tar.gz 39845 BLAKE2B 8ed9ce0ad5db9504f783f739319026ff72520ecf706eeeeccf486001e2bbfbaca851e3a2b2593759214bb31d19f140bc6708e6861f6b835ed60a3c610508727b SHA512 fd364809c9ba3a4ad1ffeedcb55de2e57ecaa15235a4cfc0e97131071cd08c4b7af298e6f975d102aa30500984625cee6df2f690ddbf6e80ba280cc4b4f6cd2e
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.2.1.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.2.1.ebuild
new file mode 100644
index 000000000000..8c125375fd3a
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.2.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/sphinx-7.1.2[${PYTHON_USEDEP}]
+"
+# skipping optional test dep on dev-python/nptyping as that package
+# is horribly broken and on its way out
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 9d6df0ae803a..e771cdffded0 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -22,6 +22,7 @@ DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c42
DIST sqlglot-25.0.3.tar.gz 18736092 BLAKE2B c5123ff152c58797903821173fc2ef26fc1c94565dac23542bf7d92157d91747cba0ae0dbd64051dee5308a5f4e817edb93dc6efa5337d13cbcd2e8caccf7e09 SHA512 31ec6b9e75507905124986f3531ba930ccfbeb6eea0f9b81f4489c67b889d07d9fe3e8705f6df0f222a8417189109ee5676906f58537656d66ce122f2907ba40
DIST sqlglot-25.1.0.tar.gz 18812668 BLAKE2B 3ee5606393ad188ac634f4f070e3b3f8ec91a2f9d28cc9c9a0bde7c83083e4a7cb2f6d6831e1c3e3dcddf8909b8d5d8b2e4e8759965b09999b71730e2a4f7cd8 SHA512 82471aec2cdf8a2a0f88cd367d9d08f8d69ff204847ac74b2bfede6df3ca513a9e9d0d584b1932582073821095d0aa4bd691f1ebd9a2794bda29ec65341677be
DIST sqlglot-25.2.0.tar.gz 18902605 BLAKE2B 8cd7be70ac09a362a359a214ecca79ab0353a8e0ad8418a2b2c3610400b09cc482288feea6207172233686cf2bb7dce4c3c07960697f9da78b17b04afdf7665d SHA512 0f2b81b9375c69823aca73d427af2a4cb0a47fe716cd1541b04011bf6d3b6f34c7c85b88d224fabcc660c503eccadec13282853d5f553cd34261a2de7f1067eb
+DIST sqlglot-25.3.0.tar.gz 18924667 BLAKE2B e000f52bcec9deb21e92faa22b657b407bc9a620af98a3da003342d55e1b09fcd5c3e96ab4d02b4ecb70939266b594e04b329c8369a8656838da77a956dabb2a SHA512 ac26bee312480bf833509ec69353e80b0b7123e1fc3c6bf8b6272023ee5224b5febc73310d7c1a7fe5ff0019161b7e802c9b4445abb6c2ef8c9cb365c35cf8ee
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
diff --git a/dev-python/sqlglot/sqlglot-25.3.0.ebuild b/dev-python/sqlglot/sqlglot-25.3.0.ebuild
new file mode 100644
index 000000000000..c040bab3734b
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-25.3.0.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 52f6f17fb1fc..c25a520f8483 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1 +1,2 @@
DIST virtualenv-20.26.2.tar.gz 7290363 BLAKE2B 7b9ee7bd49d8fbb90de2716ea928b228b71ce3e344e9eeb2666974db41c389c9c0e14db66a77bf31cd7fe68c6f24a09686f2c0d40b9d1a0ef6974f50c8cd3d37 SHA512 49b78bb2b339a41637faa887728f195b042133506092e0793adf049b5b1523fab89222809449323a1eb771fa40d2f55df6dd97c16d765d7a78dc9299185fb864
+DIST virtualenv-20.26.3.tar.gz 9057588 BLAKE2B 74268cab291e7f1e3db6a4c56f0ede1d7995069cb5594341d9af0609196a8154e9153f920043b48100c2263b7020c819135e29532483b233f3c37bf3b780592f SHA512 0cd3b4dc082d071305b44dd2aba2b28527e630b6b4bf28b7b6c59f3e061b01c1dfcfb64293f2b1904109e9e27b70a873cc8c3f1a3cde73bfee114943cef92ca7
diff --git a/dev-python/virtualenv/virtualenv-20.26.3.ebuild b/dev-python/virtualenv/virtualenv-20.26.3.ebuild
new file mode 100644
index 000000000000..e92df1452b58
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.26.3.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/distlib-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.12.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.9.1[${PYTHON_USEDEP}]
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-22.2.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/pytest-freezer-0.4.6[${PYTHON_USEDEP}]
+ ' pypy3)
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.8[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=180
+distutils_enable_tests pytest
+
+src_prepare() {
+ # workaround test failures due to warnings from setuptools-scm, sigh
+ echo '[tool.setuptools_scm]' >> pyproject.toml || die
+
+ # remove useless pins
+ sed -i -e 's:<[0-9.]*,::' pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/activation/test_xonsh.py
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ tests/unit/create/test_creator.py::test_cross_major
+ # tests failing without python2 installed
+ "tests/unit/create/test_creator.py::test_py_pyc_missing[True-False]"
+ "tests/unit/create/test_creator.py::test_py_pyc_missing[False-False]"
+ )
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+ )
+ ;;
+ python3.1[23])
+ EPYTEST_DESELECT+=(
+ tests/unit/create/via_global_ref/test_build_c_ext.py
+ )
+ ;&
+ python3.11)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/unit/discovery/py_info/test_py_info.py::test_fallback_existent_system_executable
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x TZ=UTC
+ local plugins=( -p flaky -p pytest_mock )
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ plugins+=( -p freezer )
+ else
+ plugins+=( -p time_machine )
+ fi
+ epytest "${plugins[@]}" -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index d026c45d891e..90cd25486d32 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1,2 +1,3 @@
DIST weasyprint-62.1.tar.gz 475687 BLAKE2B 80e5f24c2a52f60baada23239427cc80f34d9885d7decca172dcb420bcb76cdc49a4d15e21d4328e86bf9c7f9228f9a01da1244eba21f35a90f80a8e358b74bc SHA512 8eaee6daa610accd7594141102aecaf1b5debecbae196c442c32d522d4dcb54c411a215b77956b6e66deeb0abda66cb36d0e081d5d3fd69a8bf5a82716209aeb
DIST weasyprint-62.2.tar.gz 477895 BLAKE2B 918852d2eb9fd1b1e29101927e6251d827dbb7add8efa448dd7888c42bbe4079a514ff6d3d764ebb0cd96c0a1890f343b72575b1cc4e86959293a95054766d69 SHA512 d5254a39f6b5554e83fb2f8b88077a36d6f5a44f6d731b5f07c952429994f32a79c4d6c1187ed8ea9bdccada320c4347693bd4a21c61c6ad76f866161adfea81
+DIST weasyprint-62.3.tar.gz 477181 BLAKE2B 144b531e36c0e66fb715d2b1db20affb489e90dc7545435e2d2d5e5e89a0b77e03b5f08166a5ac6f488ed5e2ff5d268408d94edaf66a3327895f719e9329ff60 SHA512 c563019aac075d0f55a153483719a5ea1dd4dced8bf281aeb1c5ccb65b8591e883ea09ca86757073b10a4dd9dc2d718df83ff5913cd5b9ed703fb5cf71bf7fbf
diff --git a/dev-python/weasyprint/weasyprint-62.3.ebuild b/dev-python/weasyprint/weasyprint-62.3.ebuild
new file mode 100644
index 000000000000..b138d743eaae
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-62.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="
+ https://weasyprint.org/
+ https://github.com/Kozea/WeasyPrint/
+ https://pypi.org/project/weasyprint/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.0.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.3.0[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ >=app-text/ghostscript-gpl-9.56.1-r3
+ media-fonts/ahem
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}